/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.webservice;

/**
 * This pipe is used to do client side security for app server
 */
public interface PipeConstants {

    static final String BINDING = "BINDING";
    static final String CLIENT_SUBJECT = "CLIENT_SUBJECT";
    static final String ENDPOINT = "ENDPOINT";
    static final String ENDPOINT_ADDRESS = "ENDPOINT_ADDRESS";
    static final String NEXT_PIPE = "NEXT_PIPE";
    static final String POLICY = "POLICY";
    static final String SEI_MODEL = "SEI_MODEL";
    static final String SECURITY_TOKEN = "SECURITY_TOKEN";
    static final String SECURITY_PIPE = "SECURITY_PIPE";
    static final String SERVER_SUBJECT = "SERVER_SUBJECT";
    static final String SERVICE = "SERVICE";
    static final String SERVICE_REF = "SERVICE_REF";
    static final String SOAP_LAYER = "SOAP";
    static final String SERVICE_ENDPOINT = "SERVICE_ENDPOINT";
    static final String WSDL_MODEL = "WSDL_MODEL";
    static final String WSDL_SERVICE = "WSDL_SERVICE";
}
